package dev.shadowsoffire.apotheosis.util;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import net.minecraft.client.gui.GuiGraphics;
import net.minecraft.client.gui.screens.inventory.AbstractContainerScreen;
import net.minecraft.network.chat.Component;
import net.minecraft.network.chat.FormattedText;
import net.minecraft.world.item.ItemStack;

public interface DrawsOnLeft {
  default void drawOnLeft(GuiGraphics gfx, List<Component> list, int y) {
    if (list.isEmpty())
      return; 
    Objects.requireNonNull((ths()).f_96547_);
    int xPos = ths().getGuiLeft() - 16 - ((Integer)list.stream().map((ths()).f_96547_::m_92852_).max(Integer::compare).get()).intValue();
    int maxWidth = 9999;
    if (xPos < 0) {
      maxWidth = ths().getGuiLeft() - 6;
      xPos = -8;
    } 
    drawOnLeft(gfx, list, y, maxWidth);
  }
  
  default void drawOnLeft(GuiGraphics gfx, List<Component> list, int y, int maxWidth) {
    if (list.isEmpty())
      return; 
    List<FormattedText> split = new ArrayList<>();
    list.forEach(comp -> split.addAll((ths()).f_96547_.m_92865_().m_92414_((FormattedText)comp, maxWidth, comp.m_7383_())));
    Objects.requireNonNull((ths()).f_96547_);
    int xPos = ths().getGuiLeft() - 16 - ((Integer)split.stream().map((ths()).f_96547_::m_92852_).max(Integer::compare).get()).intValue();
    gfx.renderComponentTooltip((ths()).f_96547_, split, xPos, y, ItemStack.f_41583_);
  }
  
  default AbstractContainerScreen<?> ths() {
    return (AbstractContainerScreen)this;
  }
  
  static void draw(AbstractContainerScreen<?> screen, GuiGraphics gfx, List<Component> list, int y) {
    ((dev.shadowsoffire.apotheosis.util.DrawsOnLeft)screen).drawOnLeft(gfx, list, y);
  }
}
